\name{stamFit-class}
\docType{class}
\alias{stamFit-class}
\alias{initialize,stamFit-method}
\alias{print,stamFit-method}
\alias{writeHTML,stamFit-method}

\title{Model Fit Generated by StAM}
\description{
  Objects of this class hold a model fit as it is generated by structured analysis of 
  microarray data. The function \code{stam.fit} returns such objects. They are handed on 
  to \code{stam.predict} for predictions.
}
\section{Objects from the Class}{
  Objects can be created by calls of the form 
  \code{new("stamFit", cv, exprs, alpha, delta, max.nodes, collapse.scnodes)}, but it is 
  recommended to use the function \code{stam.fit}.
}
\section{Slots}{
  \describe{
    \item{\code{sample.classes}:}{Object of class \code{"character"}, class names for 
      each sample}
    \item{\code{class.labels}:}{Object of class \code{"character"}, one name for each 
      class}
    \item{\code{prior}:}{Object of class \code{"numeric"}, prior class probabilities 
      according to prevalence}
    \item{\code{full.pamfit}:}{Object of class \code{"nsc"}, PAM fit on all probesets}
    \item{\code{alpha}:}{Object of class \code{"numeric"}, performance vs. redundancy 
      weight(s)}
    \item{\code{beta}:}{Object of class \code{"numeric"}, class weights, one per class}
    \item{\code{delta}:}{Object of class \code{"numeric"}, shrinkage level given by the 
      user}
    \item{\code{best.delta}:}{Object of class \code{"numeric"}, shrinkage level used for 
      computing}
    \item{\code{default.delta}:}{Object of class \code{"numeric"}, default shrinkage 
      level suggested by \code{stam.fit}}
    \item{\code{scores}:}{Object of class \code{"matrix"}, compound scores weighted 
      using the provided alpha(s)}
    \item{\code{alpha.tab}:}{Object of class \code{"matrix"}, results comparing alphas}
    \item{\code{node.results}:}{Object of class \code{"list"}, performance, redundancy, 
      sensitivity and specificity per node}
    \item{\code{collapse.scnodes}:}{Object of class \code{"logical"}, whether single 
      children nodes are removed after shrinkage}
  }
  See \code{stamNet-class} for slots \code{chip}, \code{root}, \code{chippkg}, 
  \code{GOpkg}, \code{nodes}, \code{leafs}, \code{inodes} and \code{probes}.
}
\section{Extends}{
  Class \code{"stamNet"}, directly.
}
\section{Methods}{
  \describe{
    \item{print}{\code{signature(x = "stamFit")}: print information on the model fit.}
    \item{writeHTML}{\code{signature(x = "stamFit")}: generate HTML information on the 
      model fit, but using \code{stam.writeHTML} is recommended.}
  }
}
\author{Claudio Lottaz}
\seealso{\code{\link{stam.fit}}, \code{\link{stamNet-class}}}
\keyword{classes}
